php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #17886 parse error in sapi
Submitted: 2002-06-20 16:42 UTC Modified: 2002-06-21 09:45 UTC
From: phpbugs at jokey dot tv Assigned:
Status: Not a bug Package: Apache2 related
PHP Version: 4.0CVS-2002-06-20 OS: LinuxFromScratch 3.3
Private report: No CVE-ID: None
 [2002-06-20 16:42 UTC] phpbugs at jokey dot tv
When you try to compile php with apache 2 and use version 2.0.39 of apache.

It fails at sapi/apache2filter/php_functions.c line 93: parse error. If you remove line 93, 94 and 95 it works.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-06-20 16:44 UTC] derick@php.net
maybe we should increase the fontsize, make the text red and blinking?
 [2002-06-20 16:46 UTC] phpbugs at jokey dot tv
I just wanted to help..

Of course I know that apache2 sapi is still EXPERIMENTAL...
 [2002-06-21 04:24 UTC] postings dot php dot net at hans-spath dot de
I think increasing the fontsize and making it red would be a good idea. But not the whole sentence. I would extra-highlight "DO NOT" and "APACHE 2.0.29".
 [2002-06-21 09:45 UTC] phpbugs at jokey dot tv
But if you just remove this line, it works fine and fast. So why don't tell other people about it..?!
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Wed Dec 07 03:05:52 2022 UTC